[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg problem

Ok, two choices:

1) Open up /var/lib/dpkg/status, and find the package entries for libc6 and
   dpkg, then give the full entry (all fields for that package) for each one.

2) Try getting the slink _and_ potato dpkg .deb's, then use dpkg-deb to unpack
   them so you can try to get a working dpkg.

If you can with handle the downtime, I'de prefer to see "1", but if you need to

get the system back up quickly, and you are confortable woring with a raw tar
of the binaries, then go with "2".


Package: libc6
Status: install ok install
Priority: required
Section: base
Installed Size: 3900
Maintainer: Debian GNU Library Maintainer
Source: glibc
Version: 2.1.2-5
Replaces: libc5-dev(<<2.0.110-1), timezone, timezones, libd2,
Pre-Depends: ldso(>=1.9.11-2.1)
recommend: gconv-modules
Suggests: nscd,glibc-doc, locales
Conflicts: libc5(<<5.4.33-7), libpthread0(<<0.7-10), libstdc++2.8(=2.90.29-1),
               libstdc++2.9(<<2.91.59-2), timezone, timezones, libwcsmb,
               libtricks, apt (<<0.3.0), libglib1.2 (<<1.21-2)
/etc/default/devpts fc857c5ac5fb84d80720ed4d1c624f6e
/etc/init.d/devpts.sh ef4f5dd418753ba44a649cb22202d225

Package: dpkg
Essential: yes
Status: install ok installed
Priority: required
Section: base
Installed Size: 834
Maintainer: Klee Dienes and Ian Jackson
Pre-Depends: libc6, libncurses4, libstdc++ 2.9
Suggests: debian-keyring

Reply to: